---
title: MPV
description: Tips and tricks for the MPV media player
published: true
date: 2025-06-19T06:33:21.983Z
tags: 
editor: markdown
dateCreated: 2025-06-19T06:33:21.983Z
---

# Upstream
https://mpv.io/

# Useful configuration options
Here are some options that I find very useful.

## Launch full-screen

Ref: https://mpv.io/manual/stable/#options-fs

````
--fullscreen, --fs
````

> If launching from the command line, combine this option with `--pause`, `--osc=no`, and a key combination to move windows to another display, and you can seamlessly play a video on a secondary display without moving your mouse there. The existing terminal emulator window will accept keyboard input as if the video's window is in focus. You can do other things, and return to controlling the video without leaving the primary display.
{.is-info}


## Pause on launch

Ref: https://mpv.io/manual/stable/#options-pause

```
--pause
```

## Disable OSD

Ref: https://mpv.io/manual/stable/#options-osc

```
--osc=no
```

This option disables all controls that could get painted over the video window. 